Page MenuHomePhabricator

Rendering of wikicode fails in some fields
Closed, ResolvedPublic

Description

It appears that the "unqualified-error" field is not rendering wikicode (or HTML). Would it be possible to make sure that this and other fields render wikicode?

Example of how wikicode is rendered from 2015 elections error page:

Details

Related Gerrit Patches:

Event Timeline

Varnent created this task.May 20 2015, 7:42 AM
Varnent raised the priority of this task from to Needs Triage.
Varnent updated the task description. (Show Details)
Varnent added a subscriber: Varnent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 7:42 AM
Varnent set Security to None.
Varnent moved this task from Backlog to SecurePoll on the Elections board.
Varnent added a subscriber: Jalexander.

Are there any known replication steps to get to this error?

Are there any known replication steps to get to this error?

Easiest way is to set up an election, put a custom unqualified-error message that uses wikitext in (you can do it through the translation interface) set up a voter list or voter requirements that you (or a sock) don't meet and then attempt to vote.

The problem here is that the custom error from the SecurePoll translation system is converted to a message via parameter replacement (from en.json: "securepoll-custom-unqualified": "$1"). 'unqualified-error' is passed in as that parameter. Wikitext in parameters for status messages is not parsed.

This isn't a problem for the other custom strings from the SecurePoll translation system because they are added to normal page display through the special page's OutputPage.

As in T99920, I'm wondering if this custom error is needed.

gerritbot added a subscriber: gerritbot.

Change 228431 had a related patch set uploaded (by Fhocutt):
T99768: Render wikicode in custom error messages, display multiple errors

https://gerrit.wikimedia.org/r/228431

Change 228431 merged by jenkins-bot:
T99768: Render wikicode in custom error messages, display multiple errors

https://gerrit.wikimedia.org/r/228431

Fhocutt closed this task as Resolved.Aug 6 2015, 8:05 PM
Fhocutt removed a project: Patch-For-Review.
kaldari renamed this task from Rendering of wikicode in all fields to Rendering of wikicode fails in all fields.Aug 13 2015, 4:20 AM
Fhocutt renamed this task from Rendering of wikicode fails in all fields to Rendering of wikicode fails in some fields.Aug 13 2015, 7:02 PM